<script type="text/javascript">
//<![CDATA[
Jsw.namespace('AdminPanel.Health');
AdminPanel.Health.Toolbar = {
    restoreDefaultsHandler: function() {
        Jsw.messageBox.show({
            'type': Jsw.messageBox.TYPE_YESNO,
            'subtype': 'toggle',
            'text': <?php echo $this->jsLmsg('confirmRestoreDefaultsTitle') ?>,
            'description': <?php echo $this->jsLmsg('confirmRestoreDefaultsDescription') ?>,
            'onYesClick': function() {
                Jsw.redirectPost('/health/restore-defaults');
            },
            'buttonTitles': {
                'yes': <?php echo $this->jsLmsg('components.buttons.yes') ?>,
                'no': <?php echo $this->jsLmsg('components.buttons.no') ?>
            }
        });
    },

    reconfigureHealthMonitorHandler: function() {
        Jsw.messageBox.show({
            'type': Jsw.messageBox.TYPE_YESNO,
            'subtype': 'toggle',
            'text': <?php echo $this->jsLmsg('confirmReconfigureTitle') ?>,
            'description': <?php echo $this->jsLmsg('confirmReconfigureDescription') ?>,
            'onYesClick': function() {
                Jsw.redirectPost('/health/reconfigure-health-monitor');
            },
            'buttonTitles': {
                'yes': <?php echo $this->jsLmsg('components.buttons.yes') ?>,
                'no': <?php echo $this->jsLmsg('components.buttons.no') ?>
            }
        });
    }
}

Jsw.onReady(function() {
    new Jsw.Container({
        renderTo: 'main',
        renderMode: 'top',
        items: [
            new Jsw.Hint({
                hint: <?php echo $this->jsLmsg('pageHint'); ?>
            }),

            new Jsw.SmallTools({
                operations: <?php echo $this->toolbarOperations; ?>
            })
        ]
    });

    new Ajax.Updater(
        'server-health-parameters-container',
        Jsw.baseUrl + '/health/parameters<?php echo $this->targetId ? '/group/' . Plesk_Base_Utils_String::safeForJs($this->escape($this->targetId)) : '' ?>',
        { evalScripts: true }
   );
});
//]]>
</script>

<div class="t-box">
    <div class="box-area">
        <div class="content">
            <div class="content-area" id="server-health-parameters-container">
                <div class="ajax-loading"><?php echo $this->lmsg('waitMessage');?></div>
            </div>
        </div>
    </div>
</div>
